%define name kwintv
%define version 0.8.0
%define release 2mdk
%define kdeprefix %{_libdir}/kde1-compat

Name: %{name}
Summary: kWinTV - KDE Video4Linux Stream Capture Viewer
Version: %{version}
Release: %{release}
Copyright: GPL
Source: ftp://www.mathematik.uni-kl.de/pub/Sources/misc/programs/%{name}-%{version}.tar.bz2
Patch0:	kwintv-0.8.0-configure.patch.bz2
Group:	Video
URL: http://www.mathematik.uni-kl.de/~wenk/kwintv/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /usr/sbin/chkfontpath
Requires: qt >= 1.44 kdelibs
Prefix: /usr

%description
KWinTV allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xtvscreen which is included
in the bttv-driver package, but it is is based on Qt and integrated
in KDE.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .configure

%build
if [ ! -c /dev/video0 ]; then
	./MAKEDEV
fi
export KDEDIR=%{kdeprefix}
export QTDIR=%{_libdir}/qt
rm -f Makefile
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --disable-rpath 

make KDEDIR=$KDEDIR

%install

rm -rf $RPM_BUILD_ROOT

make bindir=$RPM_BUILD_ROOT/%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML \
kde_icondir=$RPM_BUILD_ROOT/%{_datadir}/icons \
kde_locale=$RPM_BUILD_ROOT/%{_datadir}/locale \
kde_mimedir=$RPM_BUILD_ROOT/%{_datadir}/mimelnk \
kde_minidir=$RPM_BUILD_ROOT/%{_datadir}/icons/mini R=$RPM_BUILD_ROOT install


mkdir -p $RPM_BUILD_ROOT{%{_iconsdir}/{large,mini},%{_menudir}}
cat > $RPM_BUILD_ROOT%{_menudir}/kwintv <<EOF
?package(kwintv): command="kwintv" icon="kwintv.xpm" section="Multimedia/Video" \
title="KWinTV" longtitle="The KDE Video4Linux Stream Capture Viewer" needs="x11"
EOF
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/mini
install -m 644  kwintv/icons/kwintv_24x24.xpm $RPM_BUILD_ROOT%{_iconsdir}/kwintv.xpm
install -m 644  kwintv/icons/kwintv_16x16.xpm $RPM_BUILD_ROOT%{_miconsdir}/kwintv.xpm
install -m 644  kwintv/icons/kwintv_48x48.xpm $RPM_BUILD_ROOT%{_liconsdir}/kwintv.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/kwintv
cd /usr/X11R6/lib/X11/fonts/kwintv
mkfontdir
xset fp rehash || true

%postun
%{clean_menus}
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/kwintv
fi

%files
%defattr(-,root,root)
%doc CHANGES COPYING
/usr/X11R6/lib/X11/fonts/kwintv
%{_datadir}/doc/kde1/HTML/*/kwintv
#%{_datadir}/doc/HTML/*/kwintv/*.html
#%{_datadir}/apps/kwintv/pics/*.xpm
#%{_datadir}/applnk/Multimedia/kwintv.kdelnk
#%{_datadir}/applnk/Multimedia/kv4lsetup.kdelnk
%{kdeprefix}/share/apps/kwintv
%{_liconsdir}/kwintv.xpm
%{_miconsdir}/kwintv.xpm
%{_iconsdir}/kwintv.xpm
%{_bindir}/kwintv
%{_bindir}/kv4lsetup
%{_menudir}/kwintv

%changelog
* Tue Oct 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-2mdk
- Re-add dpms support
- Remove old patch

* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0
- Clean build against kde1-compat

* Tue Sep 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.99-1mdk
- new release
- fix build against KDE2
- fix build when no bttv device is present
- fix for build against XFree86-4
- fix group
- add menu entry and icons
- fix buildroot
- get rid of find in %%files
- fix %%post and %%preun scripts
- add some docs
- add missing icons
- remove ownership on system wide directories (%{_datadir} and the like)

* Thu Aug 31 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- initial SPEC file for Mandrake.
- Please test! I do not have such a device!!!
